Advisory Details

January 13th, 2022

WECON LeviStudioU UMP File Parsing BaseSet Tag CurScrIdAddr Stack-based Buffer Overflow Remote Code Execution Vulnerability

ZDI-22-037
ZDI-CAN-14574

CVE ID CVE-2021-43983
CVSS SCORE 7.8, (AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H)
AFFECTED VENDORS WECON
AFFECTED PRODUCTS LeviStudioU
VULNERABILITY DETAILS

This vulnerability allows remote attackers to execute arbitrary code on affected installations of WECON LeviStudioU. User interaction is required to exploit this vulnerability in that the target must visit a malicious page or open a malicious file.

The specific flaw exists within the parsing of BaseSet tags within UMP files. When parsing the CurScrIdAddr attribute, the process does not properly validate the length of user-supplied data prior to copying it to a fixed-length stack-based buffer. An attacker can leverage this vulnerability to execute code in the context of the current process.

ADDITIONAL DETAILS WECON has issued an update to correct this vulnerability. More details can be found at:
https://www.cisa.gov/uscert/ics/advisories/icsa-21-343-02
DISCLOSURE TIMELINE
  • 2021-08-05 - Vulnerability reported to vendor
  • 2022-01-13 - Coordinated public release of advisory
CREDIT Natnael Samson (@NattiSamson)
BACK TO ADVISORIES